/**
 * The timer engine for a lap timer application. This engine can keep
 * track of a 'run'. A run is a sequence of one or more consecutive laps.
 * The timer records single lap times and the time for the total run, 
 * and it calculate averages and speed. 
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

 /*# 
  * Your task: 
  * - complete the comment above (add your names and version)
  * - implement this class
  * - test until you are convinced that it works correctly
  * - complete the README note in the project
  */
 
public class TimingEngine
{

    
    /**
     * Create a TimingEngine object. The object will be initialised at 0,
     * status is "Stopped", ready to start timing. The default lap length
     * is 400m.
     */
    public TimingEngine()
    {
    }

    
    /**
     * Instruct the timer to start timing a lap.
     * If we were not timing before, this starts the timer for a new 
     * run. If we were already timing, this starts a new lap, adding the
     * current lap time to the total.
     */
    public void startLap()
    {
    }
    
    
    /**
     * Stop timing. Add the current lap time to the total, and set
     * the timer into idle mode (waiting for a new run).
     */
    public void stop()
    {
    }
    
    
    /**
     * Return the current status of the timer. The status is one of the
     * two Strings "Timing..." or "Stopped", indicating whether this 
     * timer is currently running or stopped.
     */
    public String getStatus()
    {
    }
    
    
    /**
     * Return the number of laps completed in this run.
     */
    public int getLapCount()
    {
    }
    
    
    /**
     * Return the time of the last lap completed.
     * The result is a string in the format "m:ss:hh", where m is
     * the number of minutes, ss the number of seconds, and hh the number
     * of hundredths of a second. For example "7:02:43".
     */
    public String getLastTime()
    {
    }
    
    
    /**
     * Return the average time for a lap in this run.
     * The result is a string in the format "m:ss:hh".
     */
    public String getAverageTime()
    {
    }
    
    
    /**
     * Return the total time of the last or current run.
     * The result is a string in the format "m:ss:hh".
     */
    public String getTotalTime()
    {
    }
    
    
    /**
     * Return the average speed in this run in meters per second.
     * The result is a string such as "73 m/s".
     */
    public String getAverageSpeed()
    {
    }
    
    
    /**
     * Return the length of a lap.
     */
    public int getLapLength()
    {
    }
    
    
    /**
     * Set the length of a lap.
     */
    public void setLapLength(int length)
    {
    }
    

    /**
     * Return the current time of the system clock (in milli-seconds).
     */
    private long getSystemTime()
    {
        return System.currentTimeMillis();
    }
}
